# CommandExecutionContext (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: CommandExecutionContext

Package co.aikar.commands

# Class CommandExecutionContext<CEC extends CommandExecutionContext,I extends CommandIssuer>

java.lang.Object
co.aikar.commands.CommandExecutionContext<CEC,I>

public class CommandExecutionContext<CEC extends CommandExecutionContext,I extends CommandIssuer> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final I`
`issuer`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canOverridePlayerContext()`
`<T extends Annotation>
T`
`getAnnotation(Class<T> cls)`
Deprecated.
Use `getAnnotationValue(Class)`
`<T extends Annotation>
String`
`getAnnotationValue(Class<T> cls)`
`<T extends Annotation>
String`
`getAnnotationValue(Class<T> cls, int options)`
`List<String>`
`getArgs()`
`Boolean`
`getBooleanFlagValue(String flag)`
`Boolean`
`getBooleanFlagValue(String flag, Boolean def)`
`RegisteredCommand`
`getCmd()`
`Double`
`getDoubleFlagValue(String flag, Number def)`
`String`
`getFirstArg()`
`Map<String,String>`
`getFlags()`
`Double`
`getFlagValue(String flag, Double def)`
`Float`
`getFlagValue(String flag, Float def)`
`Integer`
`getFlagValue(String flag, Integer def)`
`Long`
`getFlagValue(String flag, Long def)`
`Double`
`getFlagValue(String flag, Number def)`
`String`
`getFlagValue(String flag, String def)`
`Float`
`getFloatFlagValue(String flag, Number def)`
`int`
`getIndex()`
`Integer`
`getIntFlagValue(String flag, Number def)`
`I`
`getIssuer()`
`String`
`getLastArg()`
`Long`
`getLongFlagValue(String flag, Number def)`
`int`
`getNumParams()`
`Parameter`
`getParam()`
Deprecated.
`Set<String>`
`getParameterPermissions()`
`Map<String,Object>`
`getPassedArgs()`
`Object`
`getResolvedArg(Class<?>... classes)`
`Object`
`getResolvedArg(String arg)`
`<T> T`
`getResolvedArg(String key, Class<?>... classes)`
`<T extends Annotation>
boolean`
`hasAnnotation(Class<T> cls)`
`boolean`
`hasFlag(String flag)`
`boolean`
`isLastArg()`
`boolean`
`isOptional()`
`String`
`joinArgs()`
`String`
`joinArgs(String sep)`
`String`
`popFirstArg()`
`String`
`popLastArg()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### issuer

protected final I extends CommandIssuer issuer

## Method Details

### popFirstArg

public String popFirstArg()

### popLastArg

public String popLastArg()

### getFirstArg

public String getFirstArg()

### getLastArg

public String getLastArg()

### isLastArg

public boolean isLastArg()

### getNumParams

public int getNumParams()

### canOverridePlayerContext

public boolean canOverridePlayerContext()

### getResolvedArg

public Object getResolvedArg (String arg)

### getResolvedArg

public Object getResolvedArg (Class<?>... classes)

### getResolvedArg

public <T> T getResolvedArg (String key, Class<?>... classes)

### getParameterPermissions

public Set<String> getParameterPermissions()

### isOptional

public boolean isOptional()

### hasFlag

public boolean hasFlag (String flag)

### getFlagValue

public String getFlagValue (String flag, String def)

### getFlagValue

public Integer getFlagValue (String flag, Integer def)

### getFlagValue

public Long getFlagValue (String flag, Long def)

### getFlagValue

public Float getFlagValue (String flag, Float def)

### getFlagValue

public Double getFlagValue (String flag, Double def)

### getIntFlagValue

public Integer getIntFlagValue (String flag, Number def)

### getLongFlagValue

public Long getLongFlagValue (String flag, Number def)

### getFloatFlagValue

public Float getFloatFlagValue (String flag, Number def)

### getDoubleFlagValue

public Double getDoubleFlagValue (String flag, Number def)

### getBooleanFlagValue

public Boolean getBooleanFlagValue (String flag)

### getBooleanFlagValue

public Boolean getBooleanFlagValue (String flag, Boolean def)

### getFlagValue

public Double getFlagValue (String flag, Number def)

### getAnnotation

@Deprecated public <T extends Annotation> T getAnnotation (Class<T> cls)
Deprecated.
Use `getAnnotationValue(Class)`
This method will not support annotation processors!! use getAnnotationValue or hasAnnotation

### getAnnotationValue

public <T extends Annotation> String getAnnotationValue (Class<T> cls)

### getAnnotationValue

public <T extends Annotation> String getAnnotationValue (Class<T> cls, int options)

### hasAnnotation

public <T extends Annotation> boolean hasAnnotation (Class<T> cls)

### getCmd

public RegisteredCommand getCmd()

### getParam

@Deprecated public Parameter getParam()
Deprecated.

### getIssuer

public I getIssuer()

### getArgs

public List<String> getArgs()

### getIndex

public int getIndex()

### getPassedArgs

public Map<String,Object> getPassedArgs()

### getFlags

public Map<String,String> getFlags()

### joinArgs

public String joinArgs()

### joinArgs

public String joinArgs (String sep)